Index: asm_arm.h
===================================================================
RCS file: /usr/local/cvsroot/Tremor/asm_arm.h,v
retrieving revision 1.4
diff -u -d -r1.4 asm_arm.h
--- asm_arm.h	16 Oct 2002 09:07:00 -0000	1.4
+++ asm_arm.h	24 Jun 2003 00:31:27 -0000
@@ -20,7 +20,7 @@
 #if !defined(_V_WIDE_MATH) && !defined(_LOW_ACCURACY_)
 #define _V_WIDE_MATH
 
-static inline ogg_int32_t MULT32(ogg_int32_t x, ogg_int32_t y) {
+STIN ogg_int32_t MULT32(ogg_int32_t x, ogg_int32_t y) {
   int lo,hi;
   asm volatile("smull\t%0, %1, %2, %3"
                : "=&r"(lo),"=&r"(hi)
@@ -29,11 +29,11 @@
   return(hi);
 }
 
-static inline ogg_int32_t MULT31(ogg_int32_t x, ogg_int32_t y) {
+STIN ogg_int32_t MULT31(ogg_int32_t x, ogg_int32_t y) {
   return MULT32(x,y)<<1;
 }
 
-static inline ogg_int32_t MULT31_SHIFT15(ogg_int32_t x, ogg_int32_t y) {
+STIN ogg_int32_t MULT31_SHIFT15(ogg_int32_t x, ogg_int32_t y) {
   int lo,hi;
   asm volatile("smull	%0, %1, %2, %3\n\t"
 	       "movs	%0, %0, lsr #15\n\t"
@@ -46,7 +46,7 @@
 
 #define MB() asm volatile ("" : : : "memory")
 
-static inline void XPROD32(ogg_int32_t  a, ogg_int32_t  b,
+STIN void XPROD32(ogg_int32_t  a, ogg_int32_t  b,
 			   ogg_int32_t  t, ogg_int32_t  v,
 			   ogg_int32_t *x, ogg_int32_t *y)
 {
@@ -64,7 +64,7 @@
   *y = y1;
 }
 
-static inline void XPROD31(ogg_int32_t  a, ogg_int32_t  b,
+STIN void XPROD31(ogg_int32_t  a, ogg_int32_t  b,
 			   ogg_int32_t  t, ogg_int32_t  v,
 			   ogg_int32_t *x, ogg_int32_t *y)
 {
@@ -82,7 +82,7 @@
   *y = y1 << 1;
 }
 
-static inline void XNPROD31(ogg_int32_t  a, ogg_int32_t  b,
+STIN void XNPROD31(ogg_int32_t  a, ogg_int32_t  b,
 			    ogg_int32_t  t, ogg_int32_t  v,
 			    ogg_int32_t *x, ogg_int32_t *y)
 {
@@ -105,7 +105,7 @@
 #ifndef _V_CLIP_MATH
 #define _V_CLIP_MATH
 
-static inline ogg_int32_t CLIP_TO_15(ogg_int32_t x) {
+STIN ogg_int32_t CLIP_TO_15(ogg_int32_t x) {
   int tmp;
   asm volatile("subs	%1, %0, #32768\n\t"
 	       "movpl	%0, #0x7f00\n\t"
@@ -123,7 +123,7 @@
 #ifndef _V_LSP_MATH_ASM
 #define _V_LSP_MATH_ASM
 
-static inline void lsp_loop_asm(ogg_uint32_t *qip,ogg_uint32_t *pip,
+STIN void lsp_loop_asm(ogg_uint32_t *qip,ogg_uint32_t *pip,
 				ogg_int32_t *qexpp,
 				ogg_int32_t *ilsp,ogg_int32_t wi,
 				ogg_int32_t m){
@@ -214,7 +214,7 @@
   *qexpp=qexp;
 }
 
-static inline void lsp_norm_asm(ogg_uint32_t *qip,ogg_int32_t *qexpp){
+STIN void lsp_norm_asm(ogg_uint32_t *qip,ogg_int32_t *qexpp){
 
   ogg_uint32_t qi=*qip;
   ogg_int32_t qexp=*qexpp;
Index: codebook.c
===================================================================
RCS file: /usr/local/cvsroot/Tremor/codebook.c,v
retrieving revision 1.2
diff -u -d -r1.2 codebook.c
--- codebook.c	3 Sep 2002 03:15:19 -0000	1.2
+++ codebook.c	24 Jun 2003 00:31:27 -0000
@@ -148,7 +148,7 @@
   return((x>> 1)&0x55555555) | ((x<< 1)&0xaaaaaaaa);
 }
 
-static inline long decode_packed_entry_number(codebook *book, 
+STIN long decode_packed_entry_number(codebook *book, 
 					      oggpack_buffer *b){
   int  read=book->dec_maxlength;
   long lo,hi;
Index: floor0.c
===================================================================
RCS file: /usr/local/cvsroot/Tremor/floor0.c,v
retrieving revision 1.4
diff -u -d -r1.4 floor0.c
--- floor0.c	16 Oct 2002 09:07:00 -0000	1.4
+++ floor0.c	24 Jun 2003 00:31:28 -0000
@@ -48,7 +48,7 @@
    returns in m.8 format */
 
 static long ADJUST_SQRT2[2]={8192,5792};
-static inline ogg_int32_t vorbis_invsqlook_i(long a,long e){
+STIN ogg_int32_t vorbis_invsqlook_i(long a,long e){
   long i=(a&0x7fff)>>(INVSQ_LOOKUP_I_SHIFT-1); 
   long d=a&INVSQ_LOOKUP_I_MASK;                              /*  0.10 */
   long val=INVSQ_LOOKUP_I[i]-                                /*  1.16 */
@@ -60,7 +60,7 @@
 
 /* interpolated lookup based fromdB function, domain -140dB to 0dB only */
 /* a is in n.12 format */
-static inline ogg_int32_t vorbis_fromdBlook_i(long a){
+STIN ogg_int32_t vorbis_fromdBlook_i(long a){
   int i=(-a)>>(12-FROMdB2_SHIFT);
   if(i<0) return 0x7fffffff;
   if(i>=(FROMdB_LOOKUP_SZ<<FROMdB_SHIFT))return 0;
@@ -70,7 +70,7 @@
 
 /* interpolated lookup based cos function, domain 0 to PI only */
 /* a is in 0.16 format, where 0==0, 2^^16-1==PI, return 0.14 */
-static inline ogg_int32_t vorbis_coslook_i(long a){
+STIN ogg_int32_t vorbis_coslook_i(long a){
   int i=a>>COS_LOOKUP_I_SHIFT;
   int d=a&COS_LOOKUP_I_MASK;
   return COS_LOOKUP_I[i]- ((d*(COS_LOOKUP_I[i]-COS_LOOKUP_I[i+1]))>>
@@ -79,7 +79,7 @@
 
 /* interpolated lookup based cos function */
 /* a is in 0.16 format, where 0==0, 2^^16==PI, return .LSP_FRACBITS */
-static inline ogg_int32_t vorbis_coslook2_i(long a){
+STIN ogg_int32_t vorbis_coslook2_i(long a){
   a=a&0x1ffff;
 
   if(a>0x10000)a=0x20000-a;
@@ -102,7 +102,7 @@
 };
 
 /* used in init only; interpolate the long way */
-static inline ogg_int32_t toBARK(int n){
+STIN ogg_int32_t toBARK(int n){
   int i;
   for(i=0;i<27;i++) 
     if(n>=barklook[i] && n<barklook[i+1])break;
Index: ivorbisfile_example.c
===================================================================
RCS file: /usr/local/cvsroot/Tremor/ivorbisfile_example.c,v
retrieving revision 1.2
diff -u -d -r1.2 ivorbisfile_example.c
--- ivorbisfile_example.c	3 Sep 2002 03:15:19 -0000	1.2
+++ ivorbisfile_example.c	24 Jun 2003 00:31:28 -0000
@@ -21,8 +21,8 @@
 
 #include <stdio.h>
 #include <stdlib.h>
-#include <vorbis/ivorbiscodec.h>
-#include <vorbis/ivorbisfile.h>
+#include <ivorbiscodec.h>
+#include <ivorbisfile.h>
 
 #ifdef _WIN32 /* We need the following two to set stdin/stdout to binary */
 #include <io.h>
Index: misc.h
===================================================================
RCS file: /usr/local/cvsroot/Tremor/misc.h,v
retrieving revision 1.8
diff -u -d -r1.8 misc.h
--- misc.h	30 Mar 2003 23:40:56 -0000	1.8
+++ misc.h	24 Jun 2003 00:31:28 -0000
@@ -19,6 +19,13 @@
 #define _V_RANDOM_H_
 #include "ivorbiscodec.h"
 #include "os_types.h"
+#include "os.h"
+
+extern void *_vorbis_block_alloc(vorbis_block *vb,long bytes);
+extern void _vorbis_block_ripcord(vorbis_block *vb);
+extern void _analysis_output(char *base,int i,ogg_int32_t *v,int point,
+			     int n,int bark,int dB);
+extern int _ilog(unsigned int v);
 
 #include "asm_arm.h"
   
@@ -30,6 +37,23 @@
 
 #include <sys/types.h>
 
+#ifndef LITTLE_ENDIAN
+#define LITTLE_ENDIAN 1234
+#endif
+#ifndef BIG_ENDIAN
+#define BIG_ENDIAN 4321
+#endif
+
+#ifndef BYTE_ORDER
+#if (('1234' >> 24) == '1')
+#define BYTE_ORDER LITTLE_ENDIAN
+#elif (('4321' >> 24) == '1')
+#define BYTE_ORDER BIG_ENDIAN
+#else
+#error Unable to determine byte order
+#endif
+#endif
+
 #if BYTE_ORDER==LITTLE_ENDIAN
 union magic {
   struct {
@@ -50,17 +74,17 @@
 };
 #endif
 
-static inline ogg_int32_t MULT32(ogg_int32_t x, ogg_int32_t y) {
+STIN ogg_int32_t MULT32(ogg_int32_t x, ogg_int32_t y) {
   union magic magic;
   magic.whole = (ogg_int64_t)x * y;
   return magic.halves.hi;
 }
 
-static inline ogg_int32_t MULT31(ogg_int32_t x, ogg_int32_t y) {
+STIN ogg_int32_t MULT31(ogg_int32_t x, ogg_int32_t y) {
   return MULT32(x,y)<<1;
 }
 
-static inline ogg_int32_t MULT31_SHIFT15(ogg_int32_t x, ogg_int32_t y) {
+STIN ogg_int32_t MULT31_SHIFT15(ogg_int32_t x, ogg_int32_t y) {
   union magic magic;
   magic.whole  = (ogg_int64_t)x * y;
   return ((ogg_uint32_t)(magic.halves.lo)>>15) | ((magic.halves.hi)<<17);
@@ -82,15 +106,15 @@
  * tables in this case.
  */
 
-static inline ogg_int32_t MULT32(ogg_int32_t x, ogg_int32_t y) {
+STIN ogg_int32_t MULT32(ogg_int32_t x, ogg_int32_t y) {
   return (x >> 9) * y;  /* y preshifted >>23 */
 }
 
-static inline ogg_int32_t MULT31(ogg_int32_t x, ogg_int32_t y) {
+STIN ogg_int32_t MULT31(ogg_int32_t x, ogg_int32_t y) {
   return (x >> 8) * y;  /* y preshifted >>23 */
 }
 
-static inline ogg_int32_t MULT31_SHIFT15(ogg_int32_t x, ogg_int32_t y) {
+STIN ogg_int32_t MULT31_SHIFT15(ogg_int32_t x, ogg_int32_t y) {
   return (x >> 6) * y;  /* y preshifted >>9 */
 }
 
@@ -127,7 +151,7 @@
 
 #else
 
-static inline void XPROD32(ogg_int32_t  a, ogg_int32_t  b,
+STIN void XPROD32(ogg_int32_t  a, ogg_int32_t  b,
 			   ogg_int32_t  t, ogg_int32_t  v,
 			   ogg_int32_t *x, ogg_int32_t *y)
 {
@@ -135,7 +159,7 @@
   *y = MULT32(b, t) - MULT32(a, v);
 }
 
-static inline void XPROD31(ogg_int32_t  a, ogg_int32_t  b,
+STIN void XPROD31(ogg_int32_t  a, ogg_int32_t  b,
 			   ogg_int32_t  t, ogg_int32_t  v,
 			   ogg_int32_t *x, ogg_int32_t *y)
 {
@@ -143,7 +167,7 @@
   *y = MULT31(b, t) - MULT31(a, v);
 }
 
-static inline void XNPROD31(ogg_int32_t  a, ogg_int32_t  b,
+STIN void XNPROD31(ogg_int32_t  a, ogg_int32_t  b,
 			    ogg_int32_t  t, ogg_int32_t  v,
 			    ogg_int32_t *x, ogg_int32_t *y)
 {
@@ -158,7 +182,7 @@
 #ifndef _V_CLIP_MATH
 #define _V_CLIP_MATH
 
-static inline ogg_int32_t CLIP_TO_15(ogg_int32_t x) {
+STIN ogg_int32_t CLIP_TO_15(ogg_int32_t x) {
   int ret=x;
   ret-= ((x<=32767)-1)&(x-32767);
   ret-= ((x>=-32768)-1)&(x+32768);
@@ -167,7 +191,7 @@
 
 #endif
 
-static inline ogg_int32_t VFLOAT_MULT(ogg_int32_t a,ogg_int32_t ap,
+STIN ogg_int32_t VFLOAT_MULT(ogg_int32_t a,ogg_int32_t ap,
 				      ogg_int32_t b,ogg_int32_t bp,
 				      ogg_int32_t *p){
   if(a && b){
@@ -182,7 +206,7 @@
     return 0;
 }
 
-static inline ogg_int32_t VFLOAT_MULTI(ogg_int32_t a,ogg_int32_t ap,
+STIN ogg_int32_t VFLOAT_MULTI(ogg_int32_t a,ogg_int32_t ap,
 				      ogg_int32_t i,
 				      ogg_int32_t *p){
 
@@ -190,7 +214,7 @@
   return VFLOAT_MULT(a,ap,i<<-ip,ip,p);
 }
 
-static inline ogg_int32_t VFLOAT_ADD(ogg_int32_t a,ogg_int32_t ap,
+STIN ogg_int32_t VFLOAT_ADD(ogg_int32_t a,ogg_int32_t ap,
 				      ogg_int32_t b,ogg_int32_t bp,
 				      ogg_int32_t *p){
 
